/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class GlobalErrorStatistics {
	
	@XmlElement(name = "num_error_buildings")
	private int numErrorBuildings;
	
	@XmlElement(name = "num_error_vegetation")
	private int numErrorVegetation;
	
	@XmlElement(name = "num_error_land_objects")
	private int numErrorLandObjects;
	
	@XmlElement(name = "num_error_bridge_objects")
	private int numErrorBridgeObjects;
	
	@XmlElement(name = "num_error_water_objects")
	private int numErrorWaterObjects;
	
	@XmlElement(name = "num_error_transportation")
	private int numErrorTransportation;

	public int getNumErrorBuildings() {
		return numErrorBuildings;
	}

	public void setNumErrorBuildings(int numErrorBuildings) {
		this.numErrorBuildings = numErrorBuildings;
	}

	public int getNumErrorVegetation() {
		return numErrorVegetation;
	}

	public void setNumErrorVegetation(int numErrorVegetation) {
		this.numErrorVegetation = numErrorVegetation;
	}

	public int getNumErrorLandObjects() {
		return numErrorLandObjects;
	}

	public void setNumErrorLandObjects(int numErrorLandObjects) {
		this.numErrorLandObjects = numErrorLandObjects;
	}

	public int getNumErrorBridgeObjects() {
		return numErrorBridgeObjects;
	}

	public void setNumErrorBridgeObjects(int numErrorBridgeObjects) {
		this.numErrorBridgeObjects = numErrorBridgeObjects;
	}

	public int getNumErrorWaterObjects() {
		return numErrorWaterObjects;
	}

	public void setNumErrorWaterObjects(int numErrorWaterObjects) {
		this.numErrorWaterObjects = numErrorWaterObjects;
	}

	public int getNumErrorTransportation() {
		return numErrorTransportation;
	}

	public void setNumErrorTransportation(int numErrorTransportation) {
		this.numErrorTransportation = numErrorTransportation;
	}

	
}
